import pytest
import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


@pytest.mark.parametrize("package", ["podman", "crun", "slirp4netns"])
def test_podman_installed(host, package):
    assert host.package(package).is_installed


def test_podman_run(host):
    cmd = host.run("/usr/bin/podman info")

    assert "cgroupVersion: v1" in cmd.stdout
    assert cmd.succeeded
